# Class VulkanDescriptorImageInfo.Builder

java.lang.Object
com.io7m.jcoronado.api.VulkanDescriptorImageInfo.Builder

Enclosing class:
  `VulkanDescriptorImageInfo`

public static final class VulkanDescriptorImageInfo.Builder extends Object
Builds instances of type `VulkanDescriptorImageInfo`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `VulkanDescriptorImageInfo`
  `build()`
  Builds a new `VulkanDescriptorImageInfo`.
  `final VulkanDescriptorImageInfo.Builder`
  `from(VulkanDescriptorImageInfoType instance)`
  Fill a builder with attribute values from the provided `VulkanDescriptorImageInfoType` instance.
  `final VulkanDescriptorImageInfo.Builder`
  `setImageLayout(VulkanImageLayout imageLayout)`
  Initializes the value for the `imageLayout` attribute.
  `final VulkanDescriptorImageInfo.Builder`
  `setImageView(VulkanImageViewType imageView)`
  Initializes the value for the `imageView` attribute.
  `final VulkanDescriptorImageInfo.Builder`
  `setSampler(VulkanSamplerType sampler)`
  Initializes the value for the `sampler` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final VulkanDescriptorImageInfo.Builder from(VulkanDescriptorImageInfoType instance)
    Fill a builder with attribute values from the provided `VulkanDescriptorImageInfoType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setSampler

    public final VulkanDescriptorImageInfo.Builder setSampler(VulkanSamplerType sampler)
    Initializes the value for the `sampler` attribute.
    Parameters:
      `sampler` - The value for sampler
    Returns:
      `this` builder for use in a chained invocation

  - ### setImageView

    public final VulkanDescriptorImageInfo.Builder setImageView(VulkanImageViewType imageView)
    Initializes the value for the `imageView` attribute.
    Parameters:
      `imageView` - The value for imageView
    Returns:
      `this` builder for use in a chained invocation

  - ### setImageLayout

    public final VulkanDescriptorImageInfo.Builder setImageLayout(VulkanImageLayout imageLayout)
    Initializes the value for the `imageLayout` attribute.
    Parameters:
      `imageLayout` - The value for imageLayout
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public VulkanDescriptorImageInfo build()
    Builds a new `VulkanDescriptorImageInfo`.
    Returns:
      An immutable instance of VulkanDescriptorImageInfo
    Throws:
      `IllegalStateException` - if any required attributes are missing